var a;
(a = getApp()),
  Page({
    data: { serviceSumCount: 0, serviceSumMoney: 0 },
    onLoad: function (a) {
      this.getDetail(a.orderid);
    },
    handleInput: function (a) {
      var t = a.split("\n").length,
        e = Math.max(130 * t, 100);
      this.setData({ textareaValue: a, textareaHeight: e });
    },
    imgPreview: function (t) {
      console.log(t);
      var e = t.currentTarget.dataset.src,
        n = t.currentTarget.dataset.name;
      e
        ? wx.previewImage({
            current: e,
            urls: this.data.cardata.recordimgs,
            success: function (a) {},
            fail: function () {},
            complete: function () {},
          })
        : a.showToast(n + "未生成段位卡");
    },
    getDetail: function (t) {
      var e = this,
        n = { orderid: t };
      a.getdata(n, "syxid").then((a) => {
        if ((console.log("回调数据：", a), a)) {
          e.setData({ cardata: a.data, orderid: t });
          var n = JSON.parse(a.data.record);
          console.log(n),
            e.setData({ records: n.data.detail }),
            e.handleInput(n.data.detail.stateDes);
        }
      });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {
      return {
        title: this.data.cardata.cars + "商业险查询报告",
        path: "/packageA/pages/carsyx/carcxjl?orderid=" + this.data.orderid,
      };
    },
    onShareTimeline: function () {
      return {
        title: this.data.cardata.cars + "商业险查询报告",
        path: "/packageA/pages/carsyx/carcxjl?orderid=" + this.data.orderid,
      };
    },
  });
